TableParams (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Class TableParams

- java.lang.Object
- - org.apache.cassandra.schema.TableParams

-     public final class TableParams
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TableParams.Builder`
    `static class` | `TableParams.Option`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `bloomFilterFpChance`
    `CachingParams` | `caching`
    `boolean` | `cdc`
    `java.lang.String` | `comment`
    `CompactionParams` | `compaction`
    `CompressionParams` | `compression`
    `double` | `crcCheckChance`
    `double` | `dcLocalReadRepairChance`
    `static TableParams` | `DEFAULT`
    `static java.lang.String` | `DEFAULT_COMMENT`
    `static double` | `DEFAULT_CRC_CHECK_CHANCE`
    `static double` | `DEFAULT_DCLOCAL_READ_REPAIR_CHANCE`
    `static int` | `DEFAULT_DEFAULT_TIME_TO_LIVE`
    `static int` | `DEFAULT_GC_GRACE_SECONDS`
    `static int` | `DEFAULT_MAX_INDEX_INTERVAL`
    `static int` | `DEFAULT_MEMTABLE_FLUSH_PERIOD_IN_MS`
    `static int` | `DEFAULT_MIN_INDEX_INTERVAL`
    `static double` | `DEFAULT_READ_REPAIR_CHANCE`
    `int` | `defaultTimeToLive`
    `com.google.common.collect.ImmutableMap<java.lang.String,java.nio.ByteBuffer>` | `extensions`
    `int` | `gcGraceSeconds`
    `int` | `maxIndexInterval`
    `int` | `memtableFlushPeriodInMs`
    `int` | `minIndexInterval`
    `double` | `readRepairChance`
    `SpeculativeRetryParam` | `speculativeRetry`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableParams.Builder` | `builder()`
    `static TableParams.Builder` | `builder(TableParams params)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final TableParams DEFAULT

    - #### DEFAULT_COMMENT

          public static final java.lang.String DEFAULT_COMMENT

      See Also:
        Constant Field Values

    - #### DEFAULT_READ_REPAIR_CHANCE

          public static final double DEFAULT_READ_REPAIR_CHANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_DCLOCAL_READ_REPAIR_CHANCE

          public static final double DEFAULT_DCLOCAL_READ_REPAIR_CHANCE

      See Also:
        Constant Field Values

    - #### DEFAULT_GC_GRACE_SECONDS

          public static final int DEFAULT_GC_GRACE_SECONDS

      See Also:
        Constant Field Values

    - #### DEFAULT_DEFAULT_TIME_TO_LIVE

          public static final int DEFAULT_DEFAULT_TIME_TO_LIVE

      See Also:
        Constant Field Values

    - #### DEFAULT_MEMTABLE_FLUSH_PERIOD_IN_MS

          public static final int DEFAULT_MEMTABLE_FLUSH_PERIOD_IN_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_INDEX_INTERVAL

          public static final int DEFAULT_MIN_INDEX_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_INDEX_INTERVAL

          public static final int DEFAULT_MAX_INDEX_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_CRC_CHECK_CHANCE

          public static final double DEFAULT_CRC_CHECK_CHANCE

      See Also:
        Constant Field Values

    - #### comment

          public final java.lang.String comment

    - #### readRepairChance

          public final double readRepairChance

    - #### dcLocalReadRepairChance

          public final double dcLocalReadRepairChance

    - #### bloomFilterFpChance

          public final double bloomFilterFpChance

    - #### crcCheckChance

          public final double crcCheckChance

    - #### gcGraceSeconds

          public final int gcGraceSeconds

    - #### defaultTimeToLive

          public final int defaultTimeToLive

    - #### memtableFlushPeriodInMs

          public final int memtableFlushPeriodInMs

    - #### minIndexInterval

          public final int minIndexInterval

    - #### maxIndexInterval

          public final int maxIndexInterval

    - #### speculativeRetry

          public final SpeculativeRetryParam speculativeRetry

    - #### caching

          public final CachingParams caching

    - #### compaction

          public final CompactionParams compaction

    - #### compression

          public final CompressionParams compression

    - #### extensions

          public final com.google.common.collect.ImmutableMap<java.lang.String,java.nio.ByteBuffer> extensions

    - #### cdc

          public final boolean cdc

  - ### Method Detail

    - #### builder

          public static TableParams.Builder builder()

    - #### builder

          public static TableParams.Builder builder(TableParams params)

    - #### validate

          public void validate()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation